summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'x11-libs/guile-gtk')
-rw-r--r--x11-libs/guile-gtk/Manifest3
-rw-r--r--x11-libs/guile-gtk/files/guile-gtk-2.0-g-object-ref.diff47
-rw-r--r--x11-libs/guile-gtk/guile-gtk-2.0.ebuild42
3 files changed, 92 insertions, 0 deletions
diff --git a/x11-libs/guile-gtk/Manifest b/x11-libs/guile-gtk/Manifest
new file mode 100644
index 0000000..1618ac0
--- /dev/null
+++ b/x11-libs/guile-gtk/Manifest
@@ -0,0 +1,3 @@
+AUX guile-gtk-2.0-g-object-ref.diff 1547 RMD160 6667950e72a45fcd71ae22729c172c3f5f15026e SHA1 c7fea709a2daa0eeca4f2df289b8cb67b00f0ae6 SHA256 e57b8fbeca391208e96fe3b836de57750caff67e39b573ef87a6247a4b4c7e98
+DIST guile-gtk-2.0.tar.gz 771154 RMD160 6491960b187e0ac7d75394a4981411d26c21310d SHA1 a0625b735cc1f36917f431952d04cdf047496740 SHA256 8c95e5a3e92ac76927d14879d5e27897481d8aa0b087504bc20c8307ce8b269c
+EBUILD guile-gtk-2.0.ebuild 1050 RMD160 9dfb2194b9ffabdea7ea7f0fae82d43e628f1eb9 SHA1 c3a721e4b8eb0d5f04c6c4d0face7aa35306bd62 SHA256 8178b1f03245ad2316a68ba2e153806e37516309b18e9af6ebfddaca5f3174c0
diff --git a/x11-libs/guile-gtk/files/guile-gtk-2.0-g-object-ref.diff b/x11-libs/guile-gtk/files/guile-gtk-2.0-g-object-ref.diff
new file mode 100644
index 0000000..0e1c5b2
--- /dev/null
+++ b/x11-libs/guile-gtk/files/guile-gtk-2.0-g-object-ref.diff
@@ -0,0 +1,47 @@
+diff -ur guile-gtk-2.0.orig/gtk-gl/gdk-gl.defs guile-gtk-2.0/gtk-gl/gdk-gl.defs
+--- guile-gtk-2.0.orig/gtk-gl/gdk-gl.defs 2006-12-09 02:23:15.000000000 +0100
++++ guile-gtk-2.0/gtk-gl/gdk-gl.defs 2009-03-12 22:46:52.000000000 +0100
+@@ -22,14 +22,14 @@
+ ;--- Types ... --------------------------------------------------------
+
+ (define-struct GdkGLContext
+- (copy gdk_gl_context_ref)
+- (free gdk_gl_context_unref)
++ (copy g_object_ref)
++ (free g_object_unref)
+ (size "0")
+ (canonical-name "Gdk" "GL" "Context"))
+
+ (define-struct GdkGLPixmap
+- (copy gdk_gl_pixmap_ref)
+- (free gdk_gl_pixmap_unref)
++ (copy g_object_ref)
++ (free g_object_unref)
+ (size "0")
+ (canonical-name "Gdk" "GL" "Pixmap"))
+
+diff -ur guile-gtk-2.0.orig/gtk-gl/gdk-gl-glue.c guile-gtk-2.0/gtk-gl/gdk-gl-glue.c
+--- guile-gtk-2.0.orig/gtk-gl/gdk-gl-glue.c 2006-12-22 10:31:01.000000000 +0100
++++ guile-gtk-2.0/gtk-gl/gdk-gl-glue.c 2009-03-12 22:44:24.000000000 +0100
+@@ -83,8 +83,8 @@
+
+ sgtk_boxed_info sgtk_gdk_gl_context_info = {
+ { "GdkGLContext", GTK_TYPE_BOXED, NULL },
+- (void *(*)(void*))gdk_gl_context_ref,
+- (void (*)(void*))gdk_gl_context_unref,
++ (void *(*)(void*))g_object_ref,
++ (void (*)(void*))g_object_unref,
+ (void (*)(SCM)) NULL,
+ 0
+ };
+@@ -100,8 +100,8 @@
+
+ sgtk_boxed_info sgtk_gdk_gl_pixmap_info = {
+ { "GdkGLPixmap", GTK_TYPE_BOXED, NULL },
+- (void *(*)(void*))gdk_gl_pixmap_ref,
+- (void (*)(void*))gdk_gl_pixmap_unref,
++ (void *(*)(void*))g_object_ref,
++ (void (*)(void*))g_object_unref,
+ (void (*)(SCM)) NULL,
+ 0
+ };
diff --git a/x11-libs/guile-gtk/guile-gtk-2.0.ebuild b/x11-libs/guile-gtk/guile-gtk-2.0.ebuild
new file mode 100644
index 0000000..513cdce
--- /dev/null
+++ b/x11-libs/guile-gtk/guile-gtk-2.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/guile-gtk/guile-gtk-2.0.ebuild,v 1.7 2009/05/05 07:48:02 ssuominen Exp $
+
+inherit virtualx eutils
+
+DESCRIPTION="GTK+ bindings for guile"
+HOMEPAGE="http://www.gnu.org/software/guile-gtk/"
+SRC_URI="ftp://ftp.gnu.org/gnu/guile-gtk/${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+RDEPEND="dev-scheme/guile
+ =x11-libs/gtk+-2*
+ =gnome-base/libglade-2*
+ >=x11-libs/gtkglarea-1.90"
+DEPEND="${RDEPEND}"
+
+pkg_setup() {
+ if has_version =dev-scheme/guile-1.8*; then
+ local flags="deprecated"
+ built_with_use dev-scheme/guile ${flags} || die "guile must be built with \"${flags}\" use flag"
+ fi
+}
+
+src_test() {
+ Xemake check || die "tests failed"
+}
+
+src_unpack() {
+ unpack ${A}
+ epatch "${FILESDIR}/guile-gtk-2.1-g-object-ref.diff"
+}
+
+src_install() {
+ make DESTDIR="${D}" install
+ dodoc README AUTHORS ChangeLog NEWS TODO
+ insinto /usr/share/doc/${PF}/examples
+ doins -r examples/
+}